This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 224197 - Rescue CD loads the wrong .SO files
Rescue CD loads the wrong .SO files
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Sivák
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-24 11:31 EST by Leslie Brooks
Modified: 2008-04-24 12:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 12:13:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Leslie Brooks 2007-01-24 11:31:08 EST
Description of problem: When I boot with the Rescue CD and try to run simple
commands it gives me error messages about incompatible .so files or unresolved
references.  For example, simple tools such as vim won't launch.


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Install Fedora 6.  I suspect that part of the problem is my installation
configuration; I put the OS on HDA by itself (in a Linux partition, not a
logical volume) and put all of the data on a large LV.
2. Boot from the Rescue CD; all commands work.
3. yum -y update
4. Boot from the Rescue CD
  
Actual results: Many simple commands fail (vim, pvdisplay, etc.).  Clearly, the
Rescue CD is reading .so files from the hard drive rather than from the CD.


Expected results: After booting from the Rescue CD, all commands should work
regardless of the installed OS version or the updates that have been made to it.
 The Rescue CD should never depend on the installed OS to resolve dependencies.


Additional info:
Comment 1 Chris Lumens 2007-01-30 12:10:31 EST
Rescue mode doesn't actually provide all that much stuff.  Things like vim and
pvdisplay are actually being found on the installed system.  You can use which
to check that.  If you look at $PATH, you'll see we put the installed system
binary directories at the end.  You'll also see the same thing going on with
$LD_LIBRARY_PATH.  We append to the end of that so the installed system programs
can still work.

Are there specific programs that come with rescue mode that are looking on the
installed system for libraries?
Comment 2 Leslie Brooks 2007-03-03 14:49:43 EST
Well, certainly 'vim' and 'pvdisplay' are good examples.  Both work if I boot
from the hard drive, worked from the Rescue CD prior to 'yum -y update', but
fail when run from the rescue CD after the update.  If you need to use the
Rescue CD, then 'pvdisplay' is certainly one of the things you are likely to use.
Comment 4 Bug Zapper 2008-04-04 01:43:32 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Joel Andres Granados 2008-04-24 12:13:20 EDT
insatlled f9, did an updates and ran vgdisplay.  it seems to be there.  Vim is
not there but vi is.  For the rescue image we dont have a lot of space, and that
is the main reason we dont include a whole lot of stuff in there.  The rescue cd
would be a tool to do very basic things, "all commands" in this case will not work.
Additionally there are alternatives that better fits the needs of the user that
wants more applications working on a "rescue situation".  Fedora liveCD can be
of great help in these cases.
Moreover, the user can customize the CD and have user defined applications in
the "rescue environment"
I'm going to mark this as NOTABUG because the overall objective of rescue is far
away from having *all* the commands work.

Note You need to log in before you can comment on or make changes to this bug.